Subject: bug#30241: Emacs 26.0.91: "Generalized variables" are not defined.

From: Drew Adams <[email-masked]>
Date: Fri, 26 Jan 2018 08:15:32 -0800 (PST)

> > To learn about generalized variables I think you need to
> > consult the Common Lisp doc, which is quite clear about it:
> >
> > https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.cs.cmu.edu_Groups_AI_html_cltl_clm_node80.html&d=DwIDaQ&c=RoP1YumCX
> CgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=kI3P6ljGv6CTHIKju0jqInF6AOwMCYRDQUmqX2
> 2rJ98&m=uYx8D-
> JLTyaLnvAeQBooq2REnESUwTiKj48oTomgyLw&s=R0hqNECRUwHIUT4SaPqUG5lRICppWh0FMJr
> C-q7z3qw&e=
> >
> > "The concept of variables named by symbols can be generalized to
> > any storage location that can remember one piece of data, no
> > matter how that location is named. Examples of such storage
> > locations are the car and cdr of a cons, elements of an array,
> > and components of a structure."
> 
> Maybe I'm missing something, but how is the above significantly
> different from what we have in the ELisp manual now:
> 
>   A “generalized variable” or “place form” is one of the many places in
>   Lisp memory where values can be stored.  The simplest place form is a
>   regular Lisp variable.  But the CARs and CDRs of lists, elements of
>   arrays, properties of symbols, and many other locations are also places
>   where Lisp values are stored.

Would it be clearer if I said "To learn MORE about generalized
variables" instead of "To learn about generalized variables"?
Surely it's possible to learn SOMETHING about generalized vars
from the Emacs doc about them.

I did not suggest that the paragraph I quoted was the only
thing that the CL doc says about generalized vars.  I pointed
to the part of the CL doc that provides their explanation.

If you want to compare the Emacs explanation with the CL one,
compare all that is written at the URL I provided.  I think
you'll see a difference - it is, IMO, "significantly different".